# classes/phing/tasks/ext/rSTTask.php

reStructuredText rendering task for Phing, the PHP build tool.

PHP version 5

author
  Christian Weiske
category
  Tasks
license
  LGPL v3 or later http://www.gnu.org/licenses/lgpl.html
link
  https://gitorious.org/phing/rsttask
package
  Phing
subpackage
  rST
version
  SVN: $Id: rSTTask.php 1277 2011-08-17 17:06:22Z mrook $

## \rSTTask
jump to top

reStructuredText rendering task for Phing, the PHP build tool.

PHP version 5

Extends from
  \Task
author
  Christian Weiske
category
  Tasks
copyright
  2001,2002 THYRELL. All rights reserved
license
  LGPL v3 or later http://www.gnu.org/licenses/lgpl.html
link
  https://gitorious.org/phing/rsttask
package
  Phing
subpackage
  rST
version
  $Revision: 912 $

### Properties

`string $destination= 'null'`

Output file or directory. May be omitted.

When it ends with a slash, it is considered to be a directory

Default value `null` Details

Type
  string

`string $file= 'null'`

Input file in rST format.

Required

Default value `null` Details

Type
  string

`$filesets= 'array'`
Default value `array` Details

Type

`array $filterChains= 'array'`

all filterchains objects assigned to this task

Default value `array` Details

Type
  array

`string $format= 'html'`

Result format, defaults to "html".

Default value `html` Details

Type
  string
see
  \$supportedFormats

`$mapperElement= 'null'`
Default value `null` Details

Type

`integer $mode= '0755'`

mode to create directories with

Default value `0755` Details

Type
  integer

`array $supportedFormats= 'array'`
static

Array of supported output formats

Default value `array` Details

Type
  array
see
  \$format
see
  \$targetExt

`array $targetExt= 'array'`
static

Maps formats to file extensions

Default value `array` Details

Type
  array

`string $taskName= 'rST'`

Taskname for logger
Default value `rST` Details

Type
  string

`string $toolParam= 'null'`

Additional rst2* tool parameters.

Default value `null` Details

Type
  string

`string $toolPath= 'null'`

Full path to the tool, i.e. /usr/local/bin/rst2html

Default value `null` Details

Type
  string

`boolean $uptodate= 'false'`

Only render files whole source files are newer than the target files

Default value `false` Details

Type
  boolean

### Methods

`createFileSet( ) : object`
Nested creator, creates a FileSet for this task
Returns

Type | Description
--- | ---
object |

`createFilterChain( ) : \FilterChain`
Creates a filterchain, stores and returns it
Returns

Type | Description
--- | ---
\FilterChain |

`createMapper( ) : \Mapper`
Nested creator, creates one Mapper for this task
Returns

Type | Description
--- | ---
\Mapper |

Details

throws

`getTargetFile( string $file, string $destination = null ) : string`
Determines and returns the target file name from the input file and the configured destination name.
Parameters

Name | Type | Description
--- | --- | ---
$file | string | Input file
$destination | string | Destination file or directory name, may be null

Returns

Type | Description
--- | ---
string |

Details

uses
  \$format
uses
  \$targetExt

`getToolPath( string $format ) : string`
Finds the rst2* binary path
Parameters

Name | Type | Description
--- | --- | ---
$format | string | Output format

Returns

Type | Description
--- | ---
string |

Details

throws
  When the tool cannot be found

`main( ) : void`
The main entry point method.
`render( string $tool, string $source, string $targetFile ) : void`
Renders a single file and applies filters on it
Parameters

Name | Type | Description
--- | --- | ---
$tool | string | conversion tool to use
$source | string | rST source file
$targetFile | string | target file name

`renderFile( string $tool, string $source, string $targetFile ) : void`
Renders a single file with the rST tool.
Parameters

Name | Type | Description
--- | --- | ---
$tool | string | conversion tool to use
$source | string | rST source file
$targetFile | string | target file name

Details

throws
  When the conversion fails

`setDestination( string $destination ) : void`
The setter for the attribute "destination"
Parameters

Name | Type | Description
--- | --- | ---
$destination | string | Output file or directory. When it ends with a slash, it is taken as directory.

`setFile( string $file ) : void`
The setter for the attribute "file"
Parameters

Name | Type | Description
--- | --- | ---
$file | string | Path of file to render

`setFormat( string $format ) : void`
The setter for the attribute "format"
Parameters

Name | Type | Description
--- | --- | ---
$format | string | Output format

Details

throws
  When the format is not supported

`setToolparam( string $param ) : void`
The setter for the attribute "toolparam"
Parameters

Name | Type | Description
--- | --- | ---
$param | string | Additional rst2* tool parameters

`setToolpath( $path ) : void`
The setter for the attribute "toolpath"
Parameters

Name | Type | Description
--- | --- | ---
$path |  |

Details

throws
  When the tool does not exist or is not executable

`setUptodate( string $uptodate ) : void`
The setter for the attribute "uptodate"
Parameters

Name | Type | Description
--- | --- | ---
$uptodate | string | True/false

Documentation was generated by DocBlox 0.13.1.